%define perl_major_ver %(eval `perl -V:version`; echo ${version%*.[0-9]*}.0)

Name:          perl-CryptX
Version:       0.083
Release:       1mamba
Summary:       CryptX - Cryptographic toolkit
Group:         System/Libraries/Perl
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.cpan.org/
Source:        https://cpan.metacpan.org/authors/id/M/MI/MIK/CryptX-%{version}.tar.gz
License:       GPL, Artistic
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: perl-devel
## AUTOBUILDREQ-END
BuildRequires: perl >= 2:5.36.0
Requires:      perl >= %perl_major_ver

%description
CryptX - Cryptographic toolkit.

%prep
%setup -q -n CryptX-%{version}

%build
%{__perl} Makefile.PL PREFIX=%{_prefix} INSTALLDIRS=vendor OPTIMIZE="%{optflags}"

%make
%make test

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall_perl

packlist=`find %{buildroot} -name .packlist`
[ -z "$packlist" ] && exit 1 || cat $packlist | \
   sed "s,%{buildroot},,g;s,.*/man/.*,&.gz,g" | \
   sort -u > .packlist && rm -f $packlist

strid=`echo $packlist | sed 's,.*auto\(.*\)/.packlist,\1,'`
for dir in `find %{buildroot} -type d | grep $strid`; do
   echo "%dir ${dir#%buildroot}" >> .packlist
done

find %{buildroot} -name *.so -exec chmod u+w {} \;

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -f .packlist
%defattr(-,root,root)
%doc LICENSE

%changelog
* Wed Oct 16 2024 Automatic Build System <autodist@openmamba.org> 0.083-1mamba
- automatic version update by autodist

* Tue Oct 08 2024 Automatic Build System <autodist@openmamba.org> 0.082-1mamba
- automatic version update by autodist

* Mon Sep 09 2024 Automatic Build System <autodist@openmamba.org> 0.081-1mamba
- automatic version update by autodist

* Fri Feb 09 2024 Automatic Build System <autodist@openmamba.org> 0.080_001-1mamba
- automatic update by autodist

* Thu Oct 05 2023 Automatic Build System <autodist@mambasoft.it> 0.080-1mamba
- automatic version update by autodist

* Mon Oct 02 2023 Automatic Build System <autodist@mambasoft.it> 0.079-1mamba
- automatic version update by autodist

* Sat Apr 29 2023 Automatic Build System <autodist@mambasoft.it> 0.078-1mamba
- automatic version update by autodist

* Sat Apr 15 2023 Sdk Build System <sdk@mambasoft.it> 0.077-2mamba
- rebuilt with perl 5.36.0

* Mon Aug 22 2022 Automatic Build System <autodist@mambasoft.it> 0.077-1mamba
- automatic version update by autodist

* Sun Jan 09 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 0.076-1mamba
- update to 0.076

* Tue Apr 27 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 0.071-1mamba
- package created using the webbuild interface
